package com.aidex.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author ：ChenSir
 * @date ：Created in 2024/3/18 10:45
 * @description：读取微信小程序配置
 */
@Configuration
@ConfigurationProperties(prefix = "wx.miniapp")
public class WxProperties {

	private String appid;

	private String secret;

	private String msgDataFormat;

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getSecret() {
		return secret;
	}

	public void setSecret(String secret) {
		this.secret = secret;
	}

	public String getMsgDataFormat() {
		return msgDataFormat;
	}

	public void setMsgDataFormat(String msgDataFormat) {
		this.msgDataFormat = msgDataFormat;
	}
}
